6.0.0-git
2021-01-24

[#11219] horde-set-perms for static directory
Summary horde-set-perms for static directory
Queue Horde Base
Queue Version 4.0.15
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester asa (at) isac (dot) gov (dot) in
Created 2012-06-11 (3149 days ago)
Due
Updated 2012-06-16 (3144 days ago)
Assigned
Resolved 2012-06-13 (3147 days ago)
Milestone 4.0.16
Patch No

History
2012-06-16 05:05:34 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (develop):

commit ab1747b699acf2a6d579acbef8635e286d794a20
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jun 13 14:03:31 2012 +0200

     [jan] Fix setting permissions on static/ directory with 
horde-set-perms (Bug #11219).

  horde/bin/horde-set-perms |    7 ++++++-
  horde/docs/CHANGES        |    2 ++
  horde/package.xml         |    4 ++--
  3 files changed, 10 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/ab1747b699acf2a6d579acbef8635e286d794a20
2012-06-13 12:04:52 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 4.0.16
 
2012-06-13 12:04:31 Jan Schneider Version ⇒ 4.0.15
Queue ⇒ Horde Base
 
2012-06-13 12:04:14 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit ab1747b699acf2a6d579acbef8635e286d794a20
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jun 13 14:03:31 2012 +0200

     [jan] Fix setting permissions on static/ directory with 
horde-set-perms (Bug #11219).

  horde/bin/horde-set-perms |    7 ++++++-
  horde/docs/CHANGES        |    2 ++
  horde/package.xml         |    4 ++--
  3 files changed, 10 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/ab1747b699acf2a6d579acbef8635e286d794a20
2012-06-11 07:18:02 asa (at) isac (dot) gov (dot) in Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ horde-set-perms for static directory
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
Reply to this comment
When I ran horde-set-perms, script ran successfully and changed 
permissions accordingly.  But, my 'static' directory was part of horde 
directory/installation and its permissions also changed to default and 
hence 'imp' was not accessible.  I had to change ownership of the 
directory to 'apache' instead of 'root' to make it work.

So, this requirement of changing ownership for static directory needs 
to be taken care by the script itself.

Regards,
Anant

Saved Queries